Skip to content

getAlertObservationsForDocumentCustomer

Request

Path
customerIdinteger, (int32)required
Query
documentTypestring(ApiCustomerObservationDocumentTypeEnum)required

Sales document type a customer observation can be dragged to when the document is created.

Default:null
Enum:"QUOTE""ORDER""DELIVERY_NOTE""INVOICE"
Example:documentType=QUOTE
GET
/api/v1/customer/{customerId}/observation/alert
curl -i -X GET \
  'https://api.prana.software/api/v1/customer/{customerId}/observation/alert?documentType=QUOTE'

Responses

OK

Bodyapplication/json
alertObservationsArray of objects(ApiCustomerObservationListReadDto)

Observations with showAlert=true, ordered as in customer observation list

Default:""
dragObservationsArray of objects(ApiCustomerObservationListReadDto)

Observations with dragToDocument=true for the requested document type

Default:""
Response
// No response example